/* ************************************************************************** */
/*                                                          LE - /            */
/*                                                              /             */
/*   ft_swap_ptr.c                                    .::    .:/ .      .::   */
/*                                                 +:+:+   +:    +:  +:+:+    */
/*   By: chgaroux <chgaroux@student.le-101.>        +:+   +:    +:    +:+     */
/*                                                 #+#   #+    #+    #+#      */
/*   Created: 2018/10/26 18:30:56 by chgaroux     #+#   ##    ##    #+#       */
/*   Updated: 2018/10/26 18:30:58 by chgaroux    ###    #+. /#+    ###.fr     */
/*                                                         /                  */
/*                                                        /                   */
/* ************************************************************************** */

#include "libft.h"

void	ft_swap_ptr(void **ptr1, void **ptr2)
{
	void	*tmp;

	if (!ptr1 || !ptr2)
		return ;
	tmp = *ptr1;
	*ptr1 = *ptr2;
	*ptr2 = tmp;
}
